sha1ossl.h File Reference
`#include <stddef.h>`
`#include <openssl/sha.h>`

Go to the source code of this file.

## Macros

#define | SHA1_CTX SHA_CTX
#define | SHA1_BLOCK_LENGTH SHA_CBLOCK
#define | SHA1_DIGEST_LENGTH SHA_DIGEST_LENGTH

## Functions

void | SHA1_Finish (SHA1_CTX *ctx, char *buf)

## Macro Definition Documentation

#define SHA1_BLOCK_LENGTH SHA_CBLOCK

Definition at line 14 of file sha1ossl.h.

#define SHA1_CTX SHA_CTX

Definition at line 9 of file sha1ossl.h.

#define SHA1_DIGEST_LENGTH SHA_DIGEST_LENGTH

Definition at line 16 of file sha1ossl.h.

## Function Documentation

void SHA1_Finish | ( | SHA1_CTX * | ctx,
|  | char * | buf
| ) |  |

Definition at line 7 of file sha1ossl.c.